Verify imported records

This request confirms that all records were properly created and linked in the system after being imported.

   Click here to learn more about this request

LoanPro's import tool is a fast and efficient way to transfer large amounts of data. Imports can be completed manually via the LoanPro dashboard or programmatically via the API. Note the following when importing data via the API.

Importing data into LoanPro requires a series of steps. Here's a breakdown of the entire process.


❗️

Required import status

Before using this endpoint, your data import record must have an imported status. Using this endpoint while an import is in an earlier status will return a 409 error.

Review the following verification behavior and criteria to monitor and confirm a successful import verification:

  • Process: Verification is asynchronous. The endpoint should return a 200 response without a body. Poll the endpoint in the Get import validation/errors step to observe the result.
  • Status: Do not wait for a completed status.
    • Reaching a completed status depends on the import type.
  • Success Condition: Treat the process as successful when status = imported, statsErr = 0, and statsNew matches your total uploaded row count.

Summary cover sheets are generated at completed status by calling the endpoint on this page. Usable presigned URLs to download them can be accessed in the Get import progress step.

Path Params
string
enum
required

The import type used when this import record was created.
> Exact Formatting Required: importType is case-sensitive and does not trim whitespace (e.g., Payments works but payments returns 409 error, and trailing spaces cause the job to hang).

int32
required

The ID of the data import record.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json